
TYPO3.TypoScript - Task # 40936

Story # 40934 (Closed): As a Site Integrator, I want an easy way to get started with TypoScript

Status: Closed Priority: Should have
Author: Robert Lemke Category:
Created: 2012-09-14 Assigned To: Robert Lemke
Updated: 2012-10-04 Due date:
Subject: Fix merge algorithm of TypoScript files inclusion
Description

History
#1 - 2012-09-14 17:55 - Robert Lemke

Currently all *.ts2 files on a certain level of the directory structure are included - in no particular order.

Either these should be included alphabetically, so you can number them, or only the whole structure should be changed like so:

TypoScripts/
  Nodes/
    About/
      Phoenix.ts2
    About.ts2
    Home.ts2
  Library/
    GenericStuff.ts2
    OtherStuff.ts2
    CustomTypes.ts2

#2 - 2012-09-18 09:06 - Robert Lemke
- Project changed from Base Distribution to TYPO3.TypoScript

#3 - 2012-09-18 14:02 - Robert Lemke
- Status changed from New to Accepted

#4 - 2012-09-18 17:46 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14705

#5 - 2012-09-18 17:49 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14705

#6 - 2012-09-18 18:00 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14705

#7 - 2012-09-18 18:01 - Robert Lemke
- Status changed from Accepted to Under Review

#8 - 2012-09-19 09:59 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14705

#9 - 2012-09-20 09:52 - Robert Lemke
- Status changed from Under Review to Resolved
- Assigned To set to Robert Lemke

#10 - 2012-10-04 11:40 - Markus Goldbeck
- Status changed from Resolved to Closed
